Bug 968187 - Kernel 3.9 breaks headphone sound output
Kernel 3.9 breaks headphone sound output
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 03:51 EDT by Mikkel Lauritsen
Modified: 2013-07-22 08:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 08:27:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikkel Lauritsen 2013-05-29 03:51:34 EDT
After upgrading from 3.8.11-200.fc18.x86_64 to 3.9.2-200.fc18.x86_64 (and 3.9.4) sound output through headphones has stopped working. Rebooting with 3.8.11 and no other changes makes headphone sound work again.

Sound output through the built-in speakers works fine on both kernels.

This problem sounds a lot like bug 917409 or bug 904883, but in my case it's apparently dependent on the kernel version only.

With 3.9 the headphones are still properly detected; the output device in Gnome sound preferences changes when headphones are plugged in and out.

The hardware is a generic Intel Ivy Bridge based laptop; lspci gives

00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)

The ALSA related parts of dmesg are the same on all kernels except for the line numbers; in 3.9.4 it is
 
[    4.119770] ALSA sound/pci/hda/hda_auto_parser.c:335 autoconfig: line_outs=1 (0x24/0x0/0x0/0x0/0x0) type:speaker
[    4.119772] ALSA sound/pci/hda/hda_auto_parser.c:339    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    4.119774] ALSA sound/pci/hda/hda_auto_parser.c:343    hp_outs=1 (0x25/0x0/0x0/0x0/0x0)
[    4.119775] ALSA sound/pci/hda/hda_auto_parser.c:344    mono: mono_out=0x0
[    4.119776] ALSA sound/pci/hda/hda_auto_parser.c:348    inputs:
[    4.119778] ALSA sound/pci/hda/hda_auto_parser.c:352      Mic=0x2b
[    4.119779] ALSA sound/pci/hda/hda_auto_parser.c:352      Internal Mic=0x29
Comment 1 Mikkel Lauritsen 2013-06-25 09:54:06 EDT
Same problem as bug 967057
Comment 2 Mikkel Lauritsen 2013-07-15 08:10:24 EDT
This has apparently been fixed in F19.
Comment 3 Josh Boyer 2013-07-22 08:27:59 EDT
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.